POST /api/v1/badging/badge/question/update
curl --request POST \
--url https://api.scoot.app/api/v1/badging/badge/question/update \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"required": true,
"featured": true,
"options": [
"<string>"
]
}
'import requests
url = "https://api.scoot.app/api/v1/badging/badge/question/update"
payload = {
"title": "<string>",
"description": "<string>",
"required": True,
"featured": True,
"options": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
required: true,
featured: true,
options: ['<string>']
})
};
fetch('https://api.scoot.app/api/v1/badging/badge/question/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"title": "<string>",
"description": "<string>",
"required": true,
"featured": true,
"options": [
"<string>"
]
}Badging
Update Badge Question
POST
/
api
/
v1
/
badging
/
badge
/
question
/
update
POST /api/v1/badging/badge/question/update
Updates a badge question.
Authorizations
Query Parameters
Body
application/json
Available options:
PROFILE, STANDARD, CUSTOM, INVISIBLE Available options:
TEXT, PARAGRAPH, SINGLE_SELECT, MULTI_SELECT, NUMBER Available options:
ALL, ACCOUNT_USERS, HOSTS, INTERNAL Response
200 - application/json
OK
Available options:
PROFILE, STANDARD, CUSTOM, INVISIBLE Available options:
TEXT, PARAGRAPH, SINGLE_SELECT, MULTI_SELECT, NUMBER Available options:
ALL, ACCOUNT_USERS, HOSTS, INTERNAL ⌘I

